Skip to main content

Delete an integration

DELETEhttps://api.propexo.com/v1/admin/integrations/:integration_id/

Authentication​

  • AuthorizationBearer
    Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters​

integration_id stringrequired

The Propexo unique identifier for the integration

Request​

This endpoint expects an object.

    object

Response​

Successful response

    successbooleanrequired

    Status of integration deletion

Errors​

  • 400Bad Request
      error objectrequired
      codestringrequired
      Example: invalid_request
      messagestringrequired
      Example: invalid request
      details object
      property name*any
      Example: {"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
DELETE /v1/admin/integrations/:integration_id/
curl -X DELETE https://api.propexo.com/v1/admin/integrations/:integration_id/ \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{}'
200 Successful response
{
"success": true
}